Skip to main content
POST
https://{tenantDomain}/api/v2
/
users
/
{id}
/
recovery-code-regeneration
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Users.RegenerateRecoveryCodeAsync(
            "id"
        );
    }

}
package example

import (
    context "context"

    client "github.com/auth0/go-auth0/management/management/client"
    option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Users.RegenerateRecoveryCode(
        context.TODO(),
        "id",
    )
}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;

public class Example {
    public static void main(String[] args) {
        ManagementApi client = ManagementApi
            .builder()
            .token("<token>")
            .build();

        client.users().regenerateRecoveryCode("id");
    }
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;

$client = new Management(
    token: '<token>',
);
$client->users->regenerateRecoveryCode(
    'id',
);
from auth0.management import ManagementClient

client = ManagementClient(
    token="<token>",
)

client.users.regenerate_recovery_code(
    id="id",
)
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.users.regenerate_recovery_code(id: "id")
import { ManagementClient } from "auth0";

async function main() {
    const client = new ManagementClient({
        token: "<token>",
    });
    await client.users.regenerateRecoveryCode("id");
}
main();
import { ManagementClient } from "auth0";

async function main() {
    const client = new ManagementClient({
        token: "<token>",
    });
    await client.users.regenerateRecoveryCode("id");
}
main();
curl --request POST \
  --url https://{tenantDomain}/api/v2/users/{id}/recovery-code-regeneration \
  --header 'Authorization: Bearer <token>'
{
  "recovery_code": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the user to regenerate a multi-factor authentication recovery code for.

Response

New recovery code successfully generated.

recovery_code
string

New account recovery code.